import type { APIRoute } from 'astro'
import { validateAuth } from '../../../libs/validateAuth'

export const get: APIRoute = async ({ params, request }) => {
	const requestInvalid = await validateAuth(request, {
		name: 'user.list',
		api: false,
		cookie: true
	})
	if (requestInvalid) {
		return requestInvalid
	}
	return {
		status: 200,
		body: JSON.stringify({iam: true})
	}
}
